/*
 * osdlistitem.h
 *
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef OSDLISTITEM_H
#define OSDLISTITEM_H

#include "osdobject.h"



class OsdListItem : public OsdObject
{

public:
	OsdListItem( OsdConfig *conf, const QString &t );
	~OsdListItem();
	void setText( const QString &t ) { label=t; }
	QString text() { return label; }
	void setPixmap( const QPixmap &p ) { pix=p; }

	void mouseMove( QPoint &p );
	bool mouseClicked( QMouseEvent *e );
	void paint();

private:
	QString label;
	QPixmap pix;

	GLuint labelTexture;
	GLfloat lu, lu1, lv, lv1, lv2;
};

#endif // OSDLISTITEM_H
